<!-- Copyright 2018 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/html/i18n_behavior.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<link rel="import" href="chrome://resources/cr_elements/cr_fingerprint/cr_fingerprint_progress_arc.html">
<link rel="import" href="chrome://resources/cr_elements/cr_lottie/cr_lottie.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="fingerprint-setup-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="fingerprint_setup.css">
    <oobe-dialog id="setupFingerprint" role="dialog" for-step="start"
        has-buttons footer-shrinkable
        title-key="setupFingerprintScreenTitle"
        subtitle-key="setupFingerprintScreenDescription"
        aria-label$="[[i18nDynamic(locale, 'setupFingerprintScreenAriaLabel')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:fingerprint" icon2x="oobe-64:fingerprint">
      </hd-iron-icon>
      <div slot="footer" class="flex layout vertical center center-justified">
        <div id="sensorLocationContainer" class="oobe-illustration">
          <template is="dom-if" if="[[shouldUseLottieAnimation_]]">
            <cr-lottie id="scannerLocationLottie"
                animation-url="fingerprint_scanner_animation.json">
            </cr-lottie>
          </template>
          <template is="dom-if" if="[[!shouldUseLottieAnimation_]]">
            <div id="sensorLocation"></div>
          </template>
        </div>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="skipStart"
            text-key="skipFingerprintSetup"
            on-click="onSkip_" class="focus-on-show">
        </oobe-text-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="startFingerprintEnroll" role="dialog" for-step="progress"
        has-buttons footer-shrinkable
        aria-label$="[[i18nDynamic(locale, 'enrollmentProgressScreenTitle')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:fingerprint" icon2x="oobe-64:fingerprint">
      </hd-iron-icon>
      <h1 slot="title" hidden="[[complete_]]">
        [[i18nDynamic(locale, 'enrollmentProgressScreenTitle')]]
      </h1>
      <h1 slot="title" hidden="[[!complete_]]">
        [[i18nDynamic(locale, 'setupFingerprintEnrollmentSuccessTitle')]]
      </h1>
      <div slot="subtitle" hidden="[[!complete_]]">
        [[i18nDynamic(locale, 'setupFingerprintEnrollmentSuccessDescription')]]
      </div>
      <div slot="subtitle" hidden="[[!isProblemImmobile_(scanResult_)]]">
        [[i18nDynamic(locale, 'setupFingerprintScanMoveFinger')]]
      </div>
      <div slot="subtitle" hidden="[[!isProblemOther_(scanResult_)]]">
        [[i18nDynamic(locale, 'setupFingerprintScanTryAgain')]]
      </div>
      <div slot="footer" class="flex layout vertical center center-justified">
        <cr-fingerprint-progress-arc id="arc">
        </cr-fingerprint-progress-arc>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="skipProgress"
            on-click="onSkip_" class="focus-on-show"
            text-key="skipFingerprintSetup"
            hidden="[[complete_]]">
        </oobe-text-button>
        <oobe-text-button id="addAnotherFinger"
            text-key="fingerprintSetupAddAnother"
            hidden="[[!isAnotherButtonVisible_(percentComplete_,
                canAddFinger)]]"
            on-click="onAddAnother_">
        </oobe-text-button>
        <oobe-text-button id="done"
            hidden="[[!complete_]]"
            text-key="fingerprintSetupDone"
            on-click="onDone_" class="focus-on-show" inverse>
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
